org.jgroups.util

## Class PropertiesToXML

- java.lang.Object
- - org.jgroups.util.PropertiesToXML

    public class PropertiesToXML
    extends java.lang.Object

Iterates over all concrete Protocol classes and creates tables with Protocol's properties. These tables are in turn then merged into docbook. Iterates over unsupported and experimental classes and creates tables listing those classes. These tables are in turn then merged into docbook.

Author:
  Vladimir Blagojevic

### Field Summary

Fields
`protected static Log` `log`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesToXML()`

### Method Summary

Methods
`static int` `copy(java.io.Reader input, java.io.Writer output)`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final Log log

### Constructor Detail

#### PropertiesToXML

    public PropertiesToXML()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### copy

    public static int copy(java.io.Reader input,
           java.io.Writer output)
                    throws java.io.IOException

Throws:
  `java.io.IOException`